Subject: bug#46482: [core-updates] u-boot source cannot be downloaded

From: Leo Famulari <[email-masked]>
Date: Sat, 13 Feb 2021 14:12:13 -0500

On Sat, Feb 13, 2021 at 07:34:09PM +0100, Bengt Richter wrote:
> I would prefer something that fits in with mes-philosopy.
> ftp seems old and simple, so I would vote for push-back
> to fix the ftp client involved.

FTP is more complicated than HTTP in that it requires the use of
multiple connections. Additionally, it's often blocked on corporate
networks, whereas HTTP/S is never going to be blocked (HTTPS anyways).

Based on experience in Guix, we have never had bug reports from users
who could not access sources over HTTP/S, but there have been several
reports of problems using FTP. The HTTP/S ports 80 and 443 are basically
the only ports you can depend on being open on a network that is
connected to the internet.

The creator of curl compares them here:

https://daniel.haxx.se/docs/ftp-vs-http.html